Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai
Class ServiceStatistics

    java.lang.Object
      com.bea.wlai.ServiceStatistics

All Implemented Interfaces:
  Serializable

    public class ServiceStatistics

extends Object
implements Serializable

Represents all statistics known about a single service name. This class is thread-safe.

See Also:
  Serialized Form

Constructor Summary
`ServiceStatistics()`

Method Summary
`void` | `addServiceElapsedTime(long serviceElapsedTime)` Add an elapsed time (in milliseconds) for a single service invocation.
`int` | `getAsyncCount()` Get the number of times this service was invoked asynchronously
`int` | `getAsyncErrorCount()` Get the number of times an error occurred for the async invocation of this service
`long` | `getAverageServiceElapsedTime()` Get the average elapsed time (in milliseconds) for invocations of this service.
`long` | `getLastServiceInvocationTime()` Get the last time at which this service was invoked.
`int` | `getParkedAsyncRequestCount()` Get the number of suspended async service requests for this service.
`int` | `getSyncCount()` Get the number of times this service has occurred
`int` | `getSyncErrorCount()` Get the number of times an error occurred for the sync invocation of this service
`void` | `incrementAsyncCount()` Increment the async count for this service.
`void` | `incrementAsyncErrorCount()` Increment the error count for this service.
`void` | `incrementParkedAsyncRequestCount(int delta)` Increment the number of parked async requests for this service, by the amount given by the delta parameter (can be negative).
`void` | `incrementSyncCount()` Increment the sync count for this service.
`void` | `incrementSyncErrorCount()` Increment the error count for this service.
`void` | `resetCounts()` Reset the async, sync, async error, sync error counts and service elapsed times for this service.
`void` | `setLastServiceInvocationTime(long time)` Set the last time at which this service was invoked.
`void` | `setParkedAsyncRequestCount(int count)` Set the number of suspended async requests for this service.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceStatistics

    public ServiceStatistics()

Method Detail

### getSyncCount

    public int getSyncCount()

  Get the number of times this service has occurred

### incrementSyncCount

    public void incrementSyncCount()

  Increment the sync count for this service.

### getSyncErrorCount

    public int getSyncErrorCount()

  Get the number of times an error occurred for the sync invocation of this service

### incrementSyncErrorCount

    public void incrementSyncErrorCount()

  Increment the error count for this service.

### getAsyncCount

    public int getAsyncCount()

  Get the number of times this service was invoked asynchronously

### incrementAsyncCount

    public void incrementAsyncCount()

  Increment the async count for this service.

### getAsyncErrorCount

    public int getAsyncErrorCount()

  Get the number of times an error occurred for the async invocation of this service

### incrementAsyncErrorCount

    public void incrementAsyncErrorCount()

  Increment the error count for this service.

### getParkedAsyncRequestCount

    public int getParkedAsyncRequestCount()

  Get the number of suspended async service requests for this service.

### setParkedAsyncRequestCount

    public void setParkedAsyncRequestCount(int count)
                                    throws IllegalArgumentException

  Set the number of suspended async requests for this service.

  Throws:
    `IllegalArgumentException`

### incrementParkedAsyncRequestCount

    public void incrementParkedAsyncRequestCount(int delta)

  Increment the number of parked async requests for this service, by the amount given by the delta parameter (can be negative).

### resetCounts

    public void resetCounts()

  Reset the async, sync, async error, sync error counts and service elapsed times for this service.

### getAverageServiceElapsedTime

    public long getAverageServiceElapsedTime()

  Get the average elapsed time (in milliseconds) for invocations of this service.

  Returns:

### addServiceElapsedTime

    public void addServiceElapsedTime(long serviceElapsedTime)

  Add an elapsed time (in milliseconds) for a single service invocation. This time is averaged together with all prior service elapsed times to arrive at the reported average service elapsed time.

  Parameters:
    `serviceElapsedTime` -

### getLastServiceInvocationTime

    public long getLastServiceInvocationTime()

  Get the last time at which this service was invoked.

  Returns:

### setLastServiceInvocationTime

    public void setLastServiceInvocationTime(long time)

  Set the last time at which this service was invoked.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD